MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Types | Static Public Member Functions
LeftShiftSampleConvert< SF, DF, ST, DT > Struct Template Reference

Convert from one integer sample format to another by shifting bits to the left. More...

`#include <ShiftConvert.hxx>`

## Public Types
typedef ST | SrcTraits
typedef DT | DstTraits
typedef SrcTraits::value_type | SV
typedef DstTraits::value_type | DV

## Static Public Member Functions
static constexpr DV | Convert (SV src)

## Detailed Description

### template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>
struct LeftShiftSampleConvert< SF, DF, ST, DT >

Convert from one integer sample format to another by shifting bits to the left.

Definition at line 32 of file ShiftConvert.hxx.

## Member Typedef Documentation

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef DT LeftShiftSampleConvert< SF, DF, ST, DT >::DstTraits

Definition at line 34 of file ShiftConvert.hxx.

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef DstTraits::value_type LeftShiftSampleConvert< SF, DF, ST, DT >::DV

Definition at line 37 of file ShiftConvert.hxx.

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef ST LeftShiftSampleConvert< SF, DF, ST, DT >::SrcTraits

Definition at line 33 of file ShiftConvert.hxx.

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

typedef SrcTraits::value_type LeftShiftSampleConvert< SF, DF, ST, DT >::SV

Definition at line 36 of file ShiftConvert.hxx.

## Member Function Documentation

template<SampleFormat SF, SampleFormat DF, class ST = SampleTraits<SF>, class DT = SampleTraits<DF>>

static constexpr DV LeftShiftSampleConvert< SF, DF, ST, DT >::Convert | ( | SV | src | ) |
| inline static

Definition at line 42 of file ShiftConvert.hxx.

The documentation for this struct was generated from the following file:

- pcm/ShiftConvert.hxx